Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.bundling
[Groovy] Class War

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.bundling.AbstractArchiveTask
                  org.gradle.api.tasks.bundling.Zip
                      org.gradle.api.tasks.bundling.Jar
                          org.gradle.api.tasks.bundling.War

    class War
    extends Jar

Assembles a WAR archive.

Authors:
  Hans Dockter

Field Summary
`static java.lang.String` | `WAR_EXTENSION`

Fields inherited from class Jar
DEFAULT_EXTENSION

Fields inherited from class Zip
ZIP_EXTENSION

Constructor Summary
`War()`

Method Summary
`void` | `classpath(java.lang.Object classpath)`
`FileCollection` | `getClasspath()`
`CopySpec` | `getWebInf()`
`java.io.File` | `getWebXml()`
`void` | `setClasspath(java.lang.Object classpath)`
`void` | `setWebXml(java.io.File webXml)`
`CopySpec` | `webInf(groovy.lang.Closure configureClosure)`

Methods inherited from class Jar
getManifest, getMetaInf, manifest, metaInf, setManifest

Methods inherited from class Zip
getCopyAction

Methods inherited from class AbstractArchiveTask
getAppendix, getArchiveName, getArchivePath, getBaseName, getClassifier, getDestinationDir, getExtension, getVersion, setAppendix, setArchiveName, setBaseName, setClassifier, setDestinationDir, setExtension, setVersion

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filter, filter, filter, from, from, getCopyAction, getDefaultSource, getDirMode, getExcludes, getFileMode, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setExcludes, setFileMode, setIncludes, with

Field Detail

### WAR_EXTENSION

    public static final java.lang.String WAR_EXTENSION

Constructor Detail

### War

    War()

Method Detail

### classpath

    void classpath(java.lang.Object classpath)

### getClasspath

    @InputFiles
    @Optional
    FileCollection getClasspath()

### getWebInf

    CopySpec getWebInf()

### getWebXml

    @InputFile
    @Optional
    java.io.File getWebXml()

### setClasspath

    void setClasspath(java.lang.Object classpath)

### setWebXml

    void setWebXml(java.io.File webXml)

### webInf

    CopySpec webInf(groovy.lang.Closure configureClosure)

Groovy Documentation